#!/bin/sh

tce-load -i compiletc wget submitqc4

cd /tmp
/usr/local/bin/wget -nc http://dl.lm-sensors.org/lm-sensors/releases/lm_sensors-3.3.3.tar.bz2
/usr/local/bin/wget -nc http://ompldr.org/vZ3JoYg/Makefile-new
/usr/local/bin/wget -nc http://ompldr.org/vZ3JsOQ/fancontrol.init
/usr/local/bin/wget -nc http://ompldr.org/vZ3JsNw/lm_sensors.init
tar jxvf lm_sensors-3.3.3.tar.bz2
cd lm_sensors-3.3.3/
mv  Makefile Makefile-old
mv /tmp/Makefile-new Makefile
make all
make DESTDIR=/tmp/lm_sensors install

#### start package building

# make doc (manpages)
cd /tmp
mkdir -p lm_sensors-doc/usr/local/share/doc/lm_sensors
mv lm_sensors/usr/local/man lm_sensors-doc/usr/local/share
cp -f lm_sensors-3.3.3/doc/fan-divors.txt lm_sensors-doc/usr/local/share/doc/lm_sensors
cp -f lm_sensors-3.3.3/doc/fancontrol.txt lm_sensors-doc/usr/local/share/doc/lm_sensors
cp -f lm_sensors-3.3.3/doc/temperature-sensors lm_sensors-doc/usr/local/share/doc/lm_sensors
cp -f lm_sensors-3.3.3/doc/chips/SUMMARY lm_sensors-doc/usr/local/share/doc/lm_sensors
mksquashfs lm_sensors-doc lm_sensors-doc.tcz
md5sum lm_sensors-doc.tcz > lm_sensors-doc.tcz.md5.txt
cd lm_sensors-doc
find usr -not -type d > lm_sensors-doc.tcz.list
mv -f lm_sensors-doc.tcz.list /tmp

# make dev
cd /tmp
mkdir -p lm_sensors-dev/usr/local
mv lm_sensors/usr/local/include lm_sensors-dev/usr/local
mksquashfs lm_sensors-dev lm_sensors-dev.tcz
md5sum lm_sensors-dev.tcz > lm_sensors-dev.tcz.md5.txt
cd lm_sensors-dev
find usr -not -type d > lm_sensors-dev.tcz.list
mv -f lm_sensors-dev.tcz.list /tmp

# now main package
cd /tmp

#### build forgot to include some init.d files so add them to tmp
#### explain in info file how to use
# both only change is # out the /etc/functions file as TC does not use
mkdir -p lm_sensors/tmp
cp -f /tmp/fancontrol.init lm_sensors/tmp
cp -f /tmp/lm_sensors.init lm_sensors/tmp
mksquashfs lm_sensors lm_sensors.tcz
md5sum lm_sensors.tcz > lm_sensors.tcz.md5.txt
cd lm_sensors
find usr -not -type d > lm_sensors.tcz.list
mv -f lm_sensors.tcz.list /tmp

# finish
cd /tmp
submitqc4
